Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 886581 - [RFE] detect errors and duplicates in config file
Summary: [RFE] detect errors and duplicates in config file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-12 15:36 UTC by Ales Zelinka
Modified: 2013-01-18 20:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-18 20:38:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Ales Zelinka 2012-12-12 15:36:14 UTC
$ grep -c '^#' /etc/firewalld/firewalld.conf

asdasdsa = aasd
=123n
DefaultZone=
DefaultZone=home
DefaultZone=home
DefaultZone=home
DefaultZone=home
DefaultZone=work
DefaultZonex=public
MinimalMark=100
CleanupOnExit=no
CleanupOnExit=yes
CleanupOnExit=askldjakd

$ firewall-cmd --complete-reload ; echo $?
0

Expected results:
One WARNING log to firewalld.log per each duplicated or incorrect (syntax error, unknown key,...) line in firewalld.conf. Copy of those warning to firewall-cmd --reload's output would be nice.

Comment 1 Jiri Popelka 2012-12-14 15:10:38 UTC
(In reply to comment #0)
> Expected results:
> One WARNING log to firewalld.log per each duplicated or incorrect (syntax
> error, unknown key,...) line in firewalld.conf.

Fixed upstream
http://git.fedorahosted.org/cgit/firewalld.git/commit/?id=f7762cb4ea2c60a7da74149f69458ca01d310770

> Copy of those warning to
> firewall-cmd --reload's output would be nice.

No idea how to easily do that. These are server's errors, firewall-cmd is client.

Comment 2 Fedora Update System 2013-01-14 16:18:24 UTC
firewalld-0.2.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/firewalld-0.2.12-1.fc18

Comment 3 Fedora Update System 2013-01-15 02:28:00 UTC
Package firewalld-0.2.12-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.2.12-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0810/firewalld-0.2.12-1.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-01-18 20:38:14 UTC
firewalld-0.2.12-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.